SignSecureSignSecure Docs
Signing workflow

Cancel Signing

Cancel the signing process for a document. All pending actions are voided.

POST
/documents/{documentId}/cancel

Cancel the signing process for a document. All pending actions are voided.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

documentId*string

The document ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.signsecure.com/api/v1/documents/string/cancel"
{
  "message": "Signing cancelled successfully",
  "documentId": "doc_abc123",
  "status": "rejected"
}
{
  "code": "INVALID_STATUS",
  "message": "Can only cancel documents that are pending signing",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "NOT_FOUND",
  "message": "Document not found",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}